Create patch for detecting and processing pings in edit summaries & sending notification
Closed, ResolvedPublic8 Story Points

Description

Acceptance criteria

  • Notifications will be delivered if a user types in [[User:*]] in the edit summary (or a piped link). Templates will not be supported.
    • Should support the localized namespace name for the wiki's language (e.g. [[Benutzer:Apples]] in German or [[利用者:Apples]] in Japanese.)
  • The contents of the notification (on-wiki and email) should be:
    • Icon: Existing Mention icon Echo mention icon.svg
    • Text: Username mentioned you in an edit summary on pagename.
      • Should use the same pagename detection logic as the existing Mention notification.
      • Page name should be bolded.
    • First few characters of the edit summary, truncated with an ellipsis so the preview displays on one line.
    • Link & person icon to user who mentioned you
    • When the on-wiki notification is clicked or the 'View mention' button is clicked in an email, the notification should navigate the user to the diff page of the mention
    • Email subject: Username mentioned you on wikiname
  • Preferences
    • When the 'Mention' notification preference is disabled, the notification should not be delivered, for both on-wiki and email notifications
    • Mute list should be respected (e.g. If Apples mutes Bananas, Bananas can link to [[User:Apples]] in an edit summary but Apples will not receive either an on-wiki or email notification.)
  • If a user includes more than 5 usernames in an edit summary, only the first 5 users in the list should receive a mention notification. The other usernames should be allowed in the edit summary, but should not trigger mention notifications.

Basic information

  • Purpose of the notification: Let a user know when they have been mentioned in an edit summary.
  • Notification name: Edit summary mention
  • What triggers notification?: Linking to their username in an edit summary (e.g. Made an edit that [[User:Apples]] and I discussed on the talk page.)
  • "Notice" or "Alert"?: Alert
  • Notification type (standard, bundled, expandable bundle): Standard

Wording

For a single message

  • Header: Username mentioned you in an edit summary on pagename.
  • Body: First N characters of the edit summary

Links

  • Primary link target: Diff page of the edit
  • Primary link label (for email display only): View mention
  • #1 secondary link target: User page of user who sent Mention
  • #1 secondary link label: Username of user who sent Mention

Icon


Investigation: T184030: Investigation: Ping users from edit summary

TBolliger triaged this task as Normal priority.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 6 2018, 10:39 PM
TBolliger set the point value for this task to 8.Feb 6 2018, 11:42 PM

Why won't pipes be supported? They can help to make the namespace invisible so the summary is more readable.

kaldari added a comment.EditedFeb 8 2018, 6:00 PM

@MGChecker: Good point. We should support any types of links that are supported by the limited edit summary parsing, i.e. piped links, but not templates. Otherwise the behavior will seem inconsistent and confusing.

kaldari updated the task description. (Show Details)Feb 8 2018, 6:01 PM

@MGChecker: Good point. We should support any types of links that are supported by the limited edit summary parsing, i.e. piped links, but not templates. Otherwise the behavior will seem inconsistent and confusing.

👍

If people abuse this by hiding usernames under innocuous-looking links we can restrict this functionality.

TBolliger assigned this task to MaxSem.
TBolliger moved this task from Ready to In Development on the Community-Tech-Sprint board.
MaxSem closed this task as Resolved.Feb 23 2018, 9:46 PM
MaxSem moved this task from Needs Review/Feedback to Done on the Community-Tech-Sprint board.